OpenVDB 13.0.0

Loading...
Searching...
No Matches
UnitVecCodec Struct Reference

`#include <openvdb/points/AttributeArray.h>`

## Classes
struct | Storage

## Public Types
using | StorageType = uint16_t

## Static Public Member Functions
template<typename T>
static void | decode (const StorageType &, math::Vec3< T > &)
template<typename T>
static void | encode (const math::Vec3< T > &, StorageType &)
static const char * | name ()

## Member Typedef Documentation

## ◆ StorageType

using StorageType = uint16_t

## Member Function Documentation

## ◆ decode()

template<typename T>

void decode | ( | const StorageType & | data,
|  | math::Vec3< T > & | val )
| inline static

## ◆ encode()

template<typename T>

void encode | ( | const math::Vec3< T > & | val,
|  | StorageType & | data )
| inline static

## ◆ name()

const char * name | ( |  | ) |
| inline static